/2025-04/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
curl --request DELETE \
--url https://api.criteo.com/2025-04/marketing-solutions/audience-segments/{audience-segment-id}/contact-list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-04/marketing-solutions/audience-segments/{audience-segment-id}/contact-list"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-04/marketing-solutions/audience-segments/{audience-segment-id}/contact-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1",
"type": "AudienceContactlist"
},
"errors": [],
"warnings": [
{
"traceId": "56ed4096-f96a-4944-8881-05468efe0ec9",
"type": "deprecation",
"code": "deprecated-field",
"instance": "/audiences/314195",
"title": "'nbValidIds' is deprecated",
"detail": "The field 'nbValidIds' is deprecated please use 'nbValidIdentifiers"
}
]
}/2025-04/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
Delete all identifiers from a contact list audience-segment.
DELETE
/
2025-04
/
marketing-solutions
/
audience-segments
/
{audience-segment-id}
/
contact-list
/2025-04/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the contact list audience-segment to amend
Was this page helpful?
/2025-04/marketing-solutions/audience-segments
Previous
/2025-04/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
Next
⌘I